Loading...
Searching...
No Matches
quadrature_rep< T >

## Detailed Description

template<class T>
class rheolef::quadrature_rep< T >

Definition at line 128 of file quadrature.h.

## Public Types

typedef quadrature_on_geo< T >::size_type | size_type
typedef quadrature_option::family_type | family_type
typedef std::vector< weighted_point< T > >::const_iterator | const_iterator
typedef geo_element_indirect::orientation_type | orientation_type

## Public Member Functions

| ~quadrature_rep ()
| quadrature_rep (quadrature_option opt=quadrature_option())
| quadrature_rep (const std::string &name)
| quadrature_rep (const quadrature_rep< T > &q)
const quadrature_rep & | operator= (const quadrature_rep< T > &q)
void | set_order (size_type order)
void | set_family (family_type ft)
std::string | name () const
size_type | get_order () const
family_type | get_family () const
std::string | get_family_name () const
const quadrature_option & | get_options () const
size_type | size (reference_element hat_K) const
const_iterator | begin (reference_element hat_K) const
const_iterator | end (reference_element hat_K) const
const weighted_point< T > & | operator() (reference_element hat_K, size_type q) const
void | get_nodes (reference_element hat_K, Eigen::Matrix< point_basic< T >, Eigen::Dynamic, 1 > &node) const

## Static Public Member Functions

static quadrature_rep * | make_ptr (const std::string &name)

## Protected Member Functions

void | _initialize (reference_element hat_K) const

## Protected Attributes

quadrature_option | _options
std::array< quadrature_on_geo< T >, reference_element::max_variant > | _quad
std::vector< bool > | _initialized

## Member Typedef Documentation

## size_type

template<class T >

typedef quadrature_on_geo<T>::size_type size_type

Definition at line 133 of file quadrature.h.

## family_type

template<class T >

typedef quadrature_option::family_type family_type

Definition at line 134 of file quadrature.h.

## const_iterator

template<class T >

typedef std::vector<weighted_point<T>>::const_iterator const_iterator

Definition at line 135 of file quadrature.h.

## orientation_type

template<class T >

typedef geo_element_indirect::orientation_type orientation_type

Definition at line 136 of file quadrature.h.

## Constructor & Destructor Documentation

## ~quadrature_rep()

template<class T >

~quadrature_rep | ( |  | ) |

Definition at line 246 of file quadrature_rep.cc.

## quadrature_rep() [1/3]

template<class T >

quadrature_rep | ( | quadrature_option | opt = `quadrature_option()` | ) |

Definition at line 135 of file quadrature_rep.cc.

## quadrature_rep() [2/3]

template<class T >

quadrature_rep | ( | const std::string & | name | ) |

Definition at line 142 of file quadrature_rep.cc.

## quadrature_rep() [3/3]

template<class T >

quadrature_rep | ( | const quadrature_rep< T > & | q | ) |

Definition at line 149 of file quadrature_rep.cc.

## Member Function Documentation

## operator=()

template<class T >

const quadrature_rep< T > & operator= | ( | const quadrature_rep< T > & | q | ) |

Definition at line 157 of file quadrature_rep.cc.

## set_order()

template<class T >

void set_order | ( | size_type | order | ) |

Definition at line 284 of file quadrature.h.

## set_family()

template<class T >

void set_family | ( | family_type | ft | ) |

Definition at line 295 of file quadrature.h.

## name()

template<class T >

string name | ( |  | ) | const

Definition at line 165 of file quadrature_rep.cc.

## get_order()

template<class T >

quadrature_rep< T >::size_type get_order | ( |  | ) | const

Definition at line 255 of file quadrature.h.

## get_family()

template<class T >

quadrature_rep< T >::family_type get_family | ( |  | ) | const

Definition at line 262 of file quadrature.h.

## get_family_name()

template<class T >

std::string get_family_name | ( |  | ) | const

Definition at line 269 of file quadrature.h.

## get_options()

template<class T >

const quadrature_option & get_options | ( |  | ) | const

Definition at line 276 of file quadrature.h.

## size()

template<class T >

quadrature_rep< T >::size_type size | ( | reference_element | hat_K | ) | const

Definition at line 202 of file quadrature_rep.cc.

## begin()

template<class T >

quadrature_rep< T >::const_iterator begin | ( | reference_element | hat_K | ) | const

Definition at line 186 of file quadrature_rep.cc.

## end()

template<class T >

quadrature_rep< T >::const_iterator end | ( | reference_element | hat_K | ) | const

Definition at line 194 of file quadrature_rep.cc.

## operator()()

template<class T >

const weighted_point< T > & operator() | ( | reference_element | hat_K,
|  | size_type | q
| ) |  | const

Definition at line 210 of file quadrature_rep.cc.

## get_nodes()

template<class T >

void get_nodes | ( | reference_element | hat_K,
|  | Eigen::Matrix< point_basic< T >, Eigen::Dynamic, 1 > & | node
| ) |  | const

Definition at line 179 of file quadrature_rep.cc.

## _initialize()

template<class T >

void _initialize | ( | reference_element | hat_K | ) | const

protected

Definition at line 171 of file quadrature_rep.cc.

## make_ptr()

template<class T >

static quadrature_rep * make_ptr | ( | const std::string & | name | ) |

static

Definition at line 178 of file quadrature.h.

## Member Data Documentation

## _options

template<class T >

quadrature_option _options

protected

Definition at line 173 of file quadrature.h.

## _quad

template<class T >

std::array<quadrature_on_geo<T>,reference_element::max_variant> _quad

mutable protected

Definition at line 175 of file quadrature.h.

## _initialized

template<class T >

std::vector<bool> _initialized

mutable protected

Definition at line 176 of file quadrature.h.

The documentation for this class was generated from the following files:

- /build/rheolef-dTNbRN/rheolef-7.2/fem/geo_element/quadrature.h
- /build/rheolef-dTNbRN/rheolef-7.2/fem/geo_element/quadrature_rep.cc